Subject: Re: push.default???

From: Finn Arne Gangstad <[email-masked]>
Date: Tue, 23 Jun 2009 15:11:31 +0200

On Tue, Jun 23, 2009 at 02:59:10PM +0200, Paolo Bonzini wrote:
[...]
> Before going on, can you explain your use case for --push=tracking (in a  
> case where --push=current wouldn't do the same)?

The idea with "tracking" is to push the current branch to wherever it
would pull from, making push & pull "equivalent" in some sense.

This is different from "current" if you have/choose to name the local
branch something else than the remote branch. This happens a lot when
using multiple remotes.

E.g. some remotes have only a single active branch called "master",
and you have to name it something else locally, or several people have
local branches called "beta", and you have to name it something like
"fred-beta" locally if you are working on fred's beta.

- Finn Arne